## NMSettingPPPOE

NMSettingPPPOE

## Synopsis

    #define             NM_SETTING_PPPOE_SETTING_NAME
    enum                NMSettingPPPOEError;
    #define             NM_TYPE_SETTING_PPPOE_ERROR
    #define             NM_SETTING_PPPOE_ERROR
    GQuark              nm_setting_pppoe_error_quark        (void);
    #define             NM_SETTING_PPPOE_SERVICE
    #define             NM_SETTING_PPPOE_USERNAME
    #define             NM_SETTING_PPPOE_PASSWORD
                        NMSettingPPPOE;
    GType               nm_setting_pppoe_get_type           (void);
    NMSetting*          nm_setting_pppoe_new                (void);
    const char*         nm_setting_pppoe_get_service        (NMSettingPPPOE *setting);
    const char*         nm_setting_pppoe_get_username       (NMSettingPPPOE *setting);
    const char*         nm_setting_pppoe_get_password       (NMSettingPPPOE *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingPPPOE

## Properties

      "password"                 gchararray            : Read / Write
      "service"                  gchararray            : Read / Write
      "username"                 gchararray            : Read / Write

## Description

## Details

### NM_SETTING_PPPOE_SETTING_NAME

    #define NM_SETTING_PPPOE_SETTING_NAME "pppoe"

### enum NMSettingPPPOEError

    typedef enum
    {
    	NM_SETTING_PPPOE_ERROR_UNKNOWN = 0,
    	NM_SETTING_PPPOE_ERROR_INVALID_PROPERTY,
    	NM_SETTING_PPPOE_ERROR_MISSING_PROPERTY,
    	NM_SETTING_PPPOE_ERROR_MISSING_PPP_SETTING
    } NMSettingPPPOEError;

### NM_TYPE_SETTING_PPPOE_ERROR

    #define NM_TYPE_SETTING_PPPOE_ERROR (nm_setting_pppoe_error_get_type ())

### NM_SETTING_PPPOE_ERROR

    #define NM_SETTING_PPPOE_ERROR nm_setting_pppoe_error_quark ()

### nm_setting_pppoe_error_quark ()

    GQuark              nm_setting_pppoe_error_quark        (void);

Returns : |

### NM_SETTING_PPPOE_SERVICE

    #define NM_SETTING_PPPOE_SERVICE  "service"

### NM_SETTING_PPPOE_USERNAME

    #define NM_SETTING_PPPOE_USERNAME "username"

### NM_SETTING_PPPOE_PASSWORD

    #define NM_SETTING_PPPOE_PASSWORD "password"

### NMSettingPPPOE

    typedef struct _NMSettingPPPOE NMSettingPPPOE;

### nm_setting_pppoe_get_type ()

    GType               nm_setting_pppoe_get_type           (void);

Returns : |

### nm_setting_pppoe_new ()

    NMSetting*          nm_setting_pppoe_new                (void);

Returns : |

### nm_setting_pppoe_get_service ()

    const char*         nm_setting_pppoe_get_service        (NMSettingPPPOE *setting);

`setting` : |
Returns : |

### nm_setting_pppoe_get_username ()

    const char*         nm_setting_pppoe_get_username       (NMSettingPPPOE *setting);

`setting` : |
Returns : |

### nm_setting_pppoe_get_password ()

    const char*         nm_setting_pppoe_get_password       (NMSettingPPPOE *setting);

`setting` : |
Returns : |

## Property Details

### The `"password"` property

      "password"                 gchararray            : Read / Write

Password.

Default value: NULL

### The `"service"` property

      "service"                  gchararray            : Read / Write

Service.

Default value: NULL

### The `"username"` property

      "username"                 gchararray            : Read / Write

Username.

Default value: NULL